module OdfCore
  module Element
    module Style
      class GraphicProperties < AbstractElement
        XML_ELEMENT_NAME = 'style:graphic-properties'

        CHILDREN = ["style:background-image", "style:columns", "text:list-style"].freeze

        ATTRIBUTES = [
          "dr3d:ambient-color",
          "dr3d:backface-culling",
          "dr3d:back-scale",
          "dr3d:close-back",
          "dr3d:close-front",
          "dr3d:depth",
          "dr3d:diffuse-color",
          "dr3d:edge-rounding",
          "dr3d:edge-rounding-mode",
          "dr3d:emissive-color",
          "dr3d:end-angle",
          "dr3d:horizontal-segments",
          "dr3d:lighting-mode",
          "dr3d:normals-direction",
          "dr3d:normals-kind",
          "dr3d:shadow",
          "dr3d:shininess",
          "dr3d:specular-color",
          "dr3d:texture-filter",
          "dr3d:texture-generation-mode-x",
          "dr3d:texture-generation-mode-y",
          "dr3d:texture-kind",
          "dr3d:texture-mode",
          "dr3d:vertical-segments",
          "draw:auto-grow-height",
          "draw:auto-grow-width",
          "draw:blue",
          "draw:caption-angle",
          "draw:caption-angle-type",
          "draw:caption-escape",
          "draw:caption-escape-direction",
          "draw:caption-fit-line-length",
          "draw:caption-gap",
          "draw:caption-line-length",
          "draw:caption-type",
          "draw:color-inversion",
          "draw:color-mode",
          "draw:contrast",
          "draw:decimal-places",
          "draw:draw-aspect",
          "draw:end-guide",
          "draw:end-line-spacing-horizontal",
          "draw:end-line-spacing-vertical",
          "draw:fill",
          "draw:fill-color",
          "draw:fill-gradient-name",
          "draw:fill-hatch-name",
          "draw:fill-hatch-solid",
          "draw:fill-image-height",
          "draw:fill-image-name",
          "draw:fill-image-ref-point",
          "draw:fill-image-ref-point-x",
          "draw:fill-image-ref-point-y",
          "draw:fill-image-width",
          "draw:fit-to-contour",
          "draw:fit-to-size",
          "draw:frame-display-border",
          "draw:frame-display-scrollbar",
          "draw:frame-margin-horizontal",
          "draw:frame-margin-vertical",
          "draw:gamma",
          "draw:gradient-step-count",
          "draw:green",
          "draw:guide-distance",
          "draw:guide-overhang",
          "draw:image-opacity",
          "draw:line-distance",
          "draw:luminance",
          "draw:marker-end",
          "draw:marker-end-center",
          "draw:marker-end-width",
          "draw:marker-start",
          "draw:marker-start-center",
          "draw:marker-start-width",
          "draw:measure-align",
          "draw:measure-vertical-align",
          "draw:ole-draw-aspect",
          "draw:opacity",
          "draw:opacity-name",
          "draw:parallel",
          "draw:placing",
          "draw:red",
          "draw:secondary-fill-color",
          "draw:shadow",
          "draw:shadow-color",
          "draw:shadow-offset-x",
          "draw:shadow-offset-y",
          "draw:shadow-opacity",
          "draw:show-unit",
          "draw:start-guide",
          "draw:start-line-spacing-horizontal",
          "draw:start-line-spacing-vertical",
          "draw:stroke",
          "draw:stroke-dash",
          "draw:stroke-dash-names",
          "draw:stroke-linejoin",
          "draw:symbol-color",
          "draw:textarea-horizontal-align",
          "draw:textarea-vertical-align",
          "draw:tile-repeat-offset",
          "draw:unit",
          "draw:visible-area-height",
          "draw:visible-area-left",
          "draw:visible-area-top",
          "draw:visible-area-width",
          "draw:wrap-influence-on-position",
          "fo:background-color",
          "fo:border",
          "fo:border-bottom",
          "fo:border-left",
          "fo:border-right",
          "fo:border-top",
          "fo:clip",
          "fo:margin",
          "fo:margin-bottom",
          "fo:margin-left",
          "fo:margin-right",
          "fo:margin-top",
          "fo:max-height",
          "fo:max-width",
          "fo:min-height",
          "fo:min-width",
          "fo:padding",
          "fo:padding-bottom",
          "fo:padding-left",
          "fo:padding-right",
          "fo:padding-top",
          "fo:wrap-option",
          "style:background-transparency",
          "style:border-line-width",
          "style:border-line-width-bottom",
          "style:border-line-width-left",
          "style:border-line-width-right",
          "style:border-line-width-top",
          "style:editable",
          "style:flow-with-text",
          "style:horizontal-pos",
          "style:horizontal-rel",
          "style:mirror",
          "style:number-wrapped-paragraphs",
          "style:overflow-behavior",
          "style:print-content",
          "style:protect",
          "style:rel-height",
          "style:rel-width",
          "style:repeat",
          "style:run-through",
          "style:shadow",
          "style:shrink-to-fit",
          "style:vertical-pos",
          "style:vertical-rel",
          "style:wrap",
          "style:wrap-contour",
          "style:wrap-contour-mode",
          "style:wrap-dynamic-threshold",
          "style:writing-mode",
          "svg:fill-rule",
          "svg:height",
          "svg:stroke-color",
          "svg:stroke-linecap",
          "svg:stroke-opacity",
          "svg:stroke-width",
          "svg:width",
          "svg:x",
          "svg:y",
          "text:anchor-page-number",
          "text:anchor-type",
          "text:animation",
          "text:animation-delay",
          "text:animation-direction",
          "text:animation-repeat",
          "text:animation-start-inside",
          "text:animation-steps",
          "text:animation-stop-inside",
        ].freeze

      end
    end
  end
end
