module OdfCore
  module Element
    module Style
      class TextProperties < AbstractElement
        XML_ELEMENT_NAME = 'style:text-properties'

        CHILDREN = [].freeze

        ATTRIBUTES = [
          "fo:background-color",
          "fo:color",
          "fo:country",
          "fo:font-family",
          "fo:font-size",
          "fo:font-style",
          "fo:font-variant",
          "fo:font-weight",
          "fo:hyphenate",
          "fo:hyphenation-push-char-count",
          "fo:hyphenation-remain-char-count",
          "fo:language",
          "fo:letter-spacing",
          "fo:script",
          "fo:text-shadow",
          "fo:text-transform",
          "style:country-asian",
          "style:country-complex",
          "style:font-charset",
          "style:font-charset-asian",
          "style:font-charset-complex",
          "style:font-family-asian",
          "style:font-family-complex",
          "style:font-family-generic",
          "style:font-family-generic-asian",
          "style:font-family-generic-complex",
          "style:font-name",
          "style:font-name-asian",
          "style:font-name-complex",
          "style:font-pitch",
          "style:font-pitch-asian",
          "style:font-pitch-complex",
          "style:font-relief",
          "style:font-size-asian",
          "style:font-size-complex",
          "style:font-size-rel",
          "style:font-size-rel-asian",
          "style:font-size-rel-complex",
          "style:font-style-asian",
          "style:font-style-complex",
          "style:font-style-name",
          "style:font-style-name-asian",
          "style:font-style-name-complex",
          "style:font-weight-asian",
          "style:font-weight-complex",
          "style:language-asian",
          "style:language-complex",
          "style:letter-kerning",
          "style:rfc-language-tag",
          "style:rfc-language-tag-asian",
          "style:rfc-language-tag-complex",
          "style:script-asian",
          "style:script-complex",
          "style:script-type",
          "style:text-blinking",
          "style:text-combine",
          "style:text-combine-end-char",
          "style:text-combine-start-char",
          "style:text-emphasize",
          "style:text-line-through-color",
          "style:text-line-through-mode",
          "style:text-line-through-style",
          "style:text-line-through-text",
          "style:text-line-through-text-style",
          "style:text-line-through-type",
          "style:text-line-through-width",
          "style:text-outline",
          "style:text-overline-color",
          "style:text-overline-mode",
          "style:text-overline-style",
          "style:text-overline-type",
          "style:text-overline-width",
          "style:text-position",
          "style:text-rotation-angle",
          "style:text-rotation-scale",
          "style:text-scale",
          "style:text-underline-color",
          "style:text-underline-mode",
          "style:text-underline-style",
          "style:text-underline-type",
          "style:text-underline-width",
          "style:use-window-font-color",
          "text:condition",
          "text:display",
        ].freeze

      end
    end
  end
end
